org.apache.ignite.spi.systemview

## Class FiltrableSystemViewLocal<R>

- java.lang.Object
- - org.apache.ignite.internal.processors.query.h2.sys.view.SqlAbstractSystemView
  - - org.apache.ignite.internal.processors.query.h2.sys.view.SqlAbstractLocalSystemView
    - - org.apache.ignite.spi.systemview.SystemViewLocal<R>
      - - org.apache.ignite.spi.systemview.FiltrableSystemViewLocal<R>

- All Implemented Interfaces:
    org.apache.ignite.internal.processors.query.h2.sys.view.SqlSystemView

      public class FiltrableSystemViewLocal<R>
      extends SystemViewLocal<R>

  Filtrable SQL system view to export `SystemView` data.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.spi.systemview.SystemViewLocal

      `sysView`

    - ### Fields inherited from class org.apache.ignite.internal.processors.query.h2.sys.view.SqlAbstractSystemView

      `cols, ctx, DEFAULT_ROW_COUNT_APPROXIMATION, desc, indexes, log, tblName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FiltrableSystemViewLocal(org.apache.ignite.internal.GridKernalContext ctx, SystemView<R> sysView)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Iterator<R>` | `viewIterator(org.h2.result.SearchRow first, org.h2.result.SearchRow last)` System view iterator.

    - ### Methods inherited from class org.apache.ignite.spi.systemview.SystemViewLocal

      `canGetRowCount, getRowCount, getRowCountApproximation, getRows, sqlName`

    - ### Methods inherited from class org.apache.ignite.internal.processors.query.h2.sys.view.SqlAbstractLocalSystemView

      `conditionForColumn, createRow, getColumnIndex, isDistributed, nodeFilter, toStringSafe, uuidFromValue, valueTimestampFromMillis`

    - ### Methods inherited from class org.apache.ignite.internal.processors.query.h2.sys.view.SqlAbstractSystemView

      `getColumns, getCreateSQL, getDescription, getIndexes, getTableName, newColumn, newColumn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FiltrableSystemViewLocal

          public FiltrableSystemViewLocal(org.apache.ignite.internal.GridKernalContext ctx,
                                          SystemView<R> sysView)

      Parameters:
        `ctx` - Kernal context.
        `sysView` - View to export.

  - ### Method Detail

    - #### viewIterator

          protected Iterator<R> viewIterator(org.h2.result.SearchRow first,
                                             org.h2.result.SearchRow last)

      System view iterator.
      Overrides:
        `viewIterator` in class `SystemViewLocal<R>`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020